### Method

# Ide CodeIndexEntries next_entries_finish

#### Declaration

    GPtrArray*
    ide_code_index_entries_next_entries_finish (
      IdeCodeIndexEntries* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

Completes an asynchronous request for the next set of entries from the index.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` provided to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `None`
| A `GPtrArray` of `IdeCodeIndexEntry`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.